COMBAT_LOG_EVENT_UNFILTERED
function(...)
	local subevent = select(3, ...)
	local target = select(10, ...)
	if subevent == "SWING_DAMAGE" and target == UnitName("player") then
		local dmg = select(13, ...)
		local block = select(17, ...) or 0
		if block > 0 then
			aura_env.overallBlock = aura_env.overallBlock + block
		end
	end
end

DISPLAY
function()
	local function shorten(val)
	local function round(var, n)
		if (n) then
			var = math.floor((var * 10^n) + 0.5) / (10^n)
		else
			var = math.floor(var+0.5)
		end
		return var
	end
	local n = 2
	if val < 1e3 then
		return round(val, n)
	elseif val > 1e3 and val < 1e6 then
		return round(val / 1e3, n) .. "k"
	elseif val > 1e6 and val < 1e9 then
		return round(val / 1e6, n) .. "M"
	elseif val > 1e9 then
		return round(val / 1e9, n) .. "G"
	end
end
	return shorten(aura_env.overallBlock)
end

INIT
aura_env.overallBlock = 0